Bug 1266225 - Multiple Manager Support
Multiple Manager Support
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: IPA Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-24 16:04 EDT by Branden
Modified: 2016-07-19 14:01 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:01:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Branden 2015-09-24 16:04:17 EDT
Description of problem:

WebUI and command line support for multiple managers does not exist.
Need to add support for multiple managers at command line and use the correct widget in UI

Version-Release number of selected component (if applicable):
FreeIPA, version: 4.1.4

How reproducible:
Every Time

Steps to Reproduce:
  Command line:
  1. Execute 'ipa user-mod foo --manager=aaa --manager=bbb'

  WebUI:
  1. Attempt to assign more than one manager to a user

Actual results:
  Command line:
  ipa: ERROR: invalid 'manager': Only one value is allowed

  WebUI:
  No additional fields present to set/select managers

Expected results:
  Command line:
  Command completes successfully showing modified user with multiple managers in list.

  WebUI:
  Prompt appears to allow selecting multiple managers from list similar to the group membership for users prompt.

Additional info:

  Per freenode IRC discussion with users rcrit and ab editing the file at /usr/lib/python2.7/site-packages/ipalib/plugins/user.py in my environment and changing line 593 from manager? to manager* fixes the command line issue.

  The WebUI should be using the association widget for managers that is the same as what is used with group membership selection for users.
Comment 1 Tomas Babej 2015-09-25 03:05:52 EDT
Note: Manager attribute is already multi-valued in the schema.
Comment 2 Alexander Bokovoy 2015-09-25 03:26:18 EDT
Yes, 'manager' is multivalued but IPA framework treats it as a single-valued in the option definition. In addition, the option also treats the content as a string, not as a reference to another LDAP object like 'manager' attribute definition says, and uses two specialized methods to convert between DNs and rdn values.

This all does not give us a chance to reuse association widget. In fact, 'manager' is similar to 'managedby' we have in hosts and OTP tokens, only the attribute name is different.
Comment 3 Petr Vobornik 2015-10-06 12:47:11 EDT
Lets not discuss implementation. The discussion should be whether the field should be made multi-valued in UIs/API or not.  Will clone the bug to upstream Trac.
Comment 4 Petr Vobornik 2015-10-06 12:48:30 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5344
Comment 5 Martin Kosek 2016-01-11 07:01:46 EST
CLI part implemented upstream:

master:
457c9746709042e6f4f8f37a85ca8ad562962405 Allow multiple managers per user - CLI part
Comment 6 Petr Vobornik 2016-05-18 07:59:17 EDT
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/5594
Comment 7 Fedora End Of Life 2016-07-19 14:01:10 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.